Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002142Piwigoalbumspublic2011.01.28 23:532012.11.19 23:53
Reporterplg 
Assigned Toplg 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1.6 
Target Version2.2.0Fixed in Version2.2.0 
Summary0002142: moving a category into itself crashes Piwigo
DescriptionWhen you move a category into itself, there should be an error detected and the action should not be applied. Unfortunately, while fixing #1301I introduced this bug : the code lets you move a category into itself and then category tree has a circulate dependency, which produces an infinite loop and crashes Piwigo.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0004737)
svn (reporter)
2011.01.28 23:54

[Subversion] r8966 by plg on branch 2.1

-----[Subversion commit log]----------------------------------------------------
bug 2142 fixed: make sure you cannot move a category into itself
(0004738)
svn (reporter)
2011.01.28 23:56

[Subversion] r8967 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
merge r8966 from branch 2.1 to trunk

bug 2142 fixed: make sure you cannot move a category into itself


- Issue History
Date Modified Username Field Change
2011.01.28 23:53 plg New Issue
2011.01.28 23:53 plg Status new => assigned
2011.01.28 23:53 plg Assigned To => plg
2011.01.28 23:53 plg browser => any
2011.01.28 23:53 plg Web server => Apache 1.3.x
2011.01.28 23:54 svn Checkin
2011.01.28 23:54 svn Note Added: 0004737
2011.01.28 23:56 svn Checkin
2011.01.28 23:56 svn Note Added: 0004738
2011.01.29 00:14 plg Status assigned => closed
2011.01.29 00:14 plg Resolution open => fixed
2011.01.29 00:14 plg Fixed in Version => 2.1.7
2012.11.19 23:53 plg Fixed in Version 2.1.7 => 2.2.0
2012.11.19 23:53 plg Target Version 2.1.7 => 2.2.0


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker